/*---------------------
AECiNTTC.H HEADER FILE
----------------------*/
// these function prototypes use the _stdcall (see WINAPI) calling
// convention (callee cleans up the stack before returning).
#define DllImport __declspec( dllimport )
#define WINAPI __stdcall


//#include "Aecinttc.h"	// make sure that the Aec_nttc.lib file
						// is in the link path
						// This can be done either by putting in link
						// path (Build / settings.../Link/Module)
						// OR directly inserting the file into
						// the project (Insert / File into Proj...).

#if defined(__cplusplus)	// __cplusplus is a reserved word
extern "C"
{
#endif

// AEC DLL API Function declarations
DllImport int  WINAPI AEC_PCTC_CHECK_BOARD	(LPWORD);
DllImport BOOL WINAPI AEC_PCTC_READ_TB		(LPDWORD, LPWORD);
DllImport BOOL WINAPI AEC_PCTC_READ_TBE		(LPDWORD, LPWORD);
DllImport BOOL WINAPI AEC_PCTC_READ_UB		(LPDWORD, LPWORD);
DllImport int  WINAPI  AEC_PCTC_READ_ASC_TB	(LPSTR,   LPWORD);
DllImport int  WINAPI  AEC_PCTC_READ_ASC_UB	(LPSTR,   LPWORD);
DllImport BOOL WINAPI AEC_PCTC_READ_1BYTE 	(LPBYTE,  LPWORD, LPWORD);
DllImport BOOL WINAPI AEC_PCTC_READ_4BYTES	(LPDWORD, LPWORD, LPWORD);
DllImport BOOL WINAPI AEC_PCTC_WRITE_1BYTE	(LPBYTE,  LPWORD, LPWORD);
DllImport BOOL WINAPI AEC_PCTC_WRITE_4BYTES	(LPDWORD, LPWORD, LPWORD);
DllImport BOOL WINAPI AEC_PCTC_SEND_COMMAND	(LPBYTE,  LPBYTE, LPWORD);
DllImport BOOL WINAPI AEC_PCTC_GET_INTCODE	(LPBYTE,  LPBYTE, LPWORD);
DllImport int  WINAPI AEC_PCTC_GET_DLL_INFO	(LPSTR);
DllImport BOOL WINAPI AEC_PCTC_GET_SELECTOR	(LPWORD,  LPWORD); //old not used
DllImport BOOL WINAPI AEC_PCTC_UNINSTALL_BOARD		 (LPWORD);
DllImport int  WINAPI AEC_PCTC_ECHO_ADDR  	(LPWORD);
DllImport int  WINAPI AEC_PCTC_GET_NUMBER_OF_DEVICES (VOID);
DllImport int  WINAPI AEC_PCTC_DWORD_TO_STR	(LPBYTE,  LPDWORD, LPSTR);
DllImport PVOID WINAPI  AEC_PCTC_GET_BOARD_POINTER	 (LPWORD);
DllImport PVOID WINAPI  AEC_PCTC_GET_BOARD_INT_POINTER (LPWORD);
DllImport BOOL WINAPI AEC_PCTC_INIT_BRD_INT (LPHANDLE, LPINT, LPWORD);
DllImport BYTE WINAPI AEC_PCTC_ISR_1 (LPWORD);
DllImport BYTE WINAPI AEC_PCTC_ISR_2 (LPWORD);
DllImport BYTE WINAPI AEC_PCTC_ISR_3 (LPWORD);

#if defined(__cplusplus)
}
#endif 
