#if !defined(AFX_AECPOLL_H__09CE3DD7_3A33_408A_BA94_135EF99EF25B__INCLUDED_)
#define AFX_AECPOLL_H__09CE3DD7_3A33_408A_BA94_135EF99EF25B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AecPoll.h : header file
//




// CAecPoll.h header file for CAecPoll.cpp

extern "C"{
#include "AECiNTTC.h"	//PROTOTYPES OF THE AECPC-TC.DLL FUNCTIONS
}


/////////////////////////////////////////////////////////////////////////////
// CAecPoll window

class CAecPoll
{
// Construction
public:
//private:
//protected:
	CAecPoll();	//handles all device initialization / mode control

// Attributes
public:

// Operations
public:


// Implementation
public:
	BYTE m_to2E;

	BOOL Restart();
	void ClearL21Buffer(int msDelay);
	BYTE m_0C;
	BOOL ReaderDataGood();
	BOOL mbReadsTC;
	BOOL mbReads2TC;
	BOOL mbReadsL21;
	BOOL mbSetUpOK;
	int miCheckType;
	BYTE mLastInt;

	void StartL21();		//enable the L21 reader upon Start of data aqu.
							//Post meassage IF device does NOT have L21 reader							
	void StopL21();			//disable the L21 reader upon Stop of ""   ""
							//Poll & sleep(2) a few times to clear all cued reades (if any)
	BYTE PollInt();			//returns the cLastInt value IF available or 0 if NO int pending
	DWORD L21Dword();		//returns 4 byte L21 data from 50-5F range
	int AscTB(char* charStr);//Uses the "vaildation" byte for insurance!

	virtual ~CAecPoll();

	// Generated message map functions
protected:
private:
	void LockedUp(int i);
	int m_TCReadInARow;
	int m_iUnLost;
	BYTE m_08;
	BYTE m_FE;
	BYTE m_0E;
	BYTE m_2E;
	BYTE m_0D;
	DWORD mdwL21Data;
	BOOL IntCode();
	BYTE mbRet;
	BYTE mbCom;
	BOOL Cmd(BYTE cmdCode);
	DWORD mWrite_4;
	DWORD mRead_4;
	BYTE mRead_1;
	BYTE mWrite_1;
	BOOL Read1();
	BOOL Read4();
	BOOL Write1();
	BOOL Write4();
	BOOL Read4(WORD w);
	BOOL Read1(WORD w);
	BOOL Write1(BYTE b, WORD w);
	BOOL Write4(DWORD dw, WORD w);
	WORD mOffset;
	WORD mB_Addr;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AECPOLL_H__09CE3DD7_3A33_408A_BA94_135EF99EF25B__INCLUDED_)
